## org.apache.myfaces.custom.popup
Class HtmlPopupRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.custom.popup.HtmlPopupRenderer

public class HtmlPopupRenderer
extends HtmlRenderer

Version:
  $Revision: 265039 $ $Date: 2005-08-31 09:25:58 -0400 (Wed, 31 Aug 2005) $
Author:
  Martin Marinschek (latest modification by $Author: mmarinschek $)

Field Summary
`static java.lang.String` `RENDERER_TYPE`

Constructor Summary
`HtmlPopupRenderer()`

Method Summary
`void` `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`boolean` `getRendersChildren()`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_TYPE

    public static final java.lang.String RENDERER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlPopupRenderer

    public HtmlPopupRenderer()

Method Detail

### getRendersChildren

    public boolean getRendersChildren()

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `HtmlRenderer`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`